List of all members
clan::GameTime Class Reference
clanCore System

Tracks time elapsed in various forms useful for games. More...

`#include <game_time.h>`

## Public Member Functions
Construction
| GameTime (int ticks_per_second=20, int max_updates_per_second=0)
| GameTime constructor. More...
Attributes
float | get_time_elapsed () const
| Returns the time elapsed in seconds since last update. More...
int | get_time_elapsed_ms () const
| Returns the time elapsed in seconds since last update in milliseconds. More...
int | get_ticks_elapsed () const
| Returns the number of ticks that elapsed since last update. More...
float | get_tick_time_elapsed () const
| Returns the time elapsed per tick. More...
int | get_tick_time_elapsed_ms () const
| Returns the time elapsed per tick in milliseconds. More...
float | get_tick_interpolation_time () const
| Returns the current time between ticks as a normalized number. More...
float | get_updates_per_second () const
| Returns the number of updates that occurred every second (aka fps, frames per second) More...
float | get_current_time () const
| Returns the number of seconds since this class was reset() More...
uint64_t | get_current_time_microseconds () const
| Returns the number of microseconds since this class was reset() More...
uint64_t | get_current_time_ms () const
| Returns the number of milliseconds since this class was reset() More...
Operations
void | update ()
| Updates time data for the frame to be rendered. More...
void | reset ()
| Resets the timer. More...

## Detailed Description

Tracks time elapsed in various forms useful for games.

The documentation for this class was generated from the following file:

- game_time.h